EULB-CREATE-LB-COOKIE-STICKINESS-POLICY(1)

NAME
eulb-create-lb-cookie-stickiness-policy - Create a new stickiness policy for a load balancer, whereby the load balancer automatically generates cookies that it uses to route requests from each user to the same back end instance. This type of policy can only be associated with HTTP or HTTPS listeners.

SYNOPSIS
eulb-create-lb-cookie-stickiness-policy -e SECONDS -p POLICY [-U URL]

[--region USER@REGION]
    [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ELB

DESCRIPTION
Create a new stickiness policy for a load balancer, whereby the load balancer automatically generates cookies that it uses to route requests from each user to the same back end instance. This type of policy can only be associated with HTTP or HTTPS listeners.

  positional arguments:

ELB name of the load balancer to modify (required)

  optional arguments:

-e SECONDS, --expiration-period SECONDS
    time period after which cookies should be considered stale (default: user's session length) (required)

-p POLICY, --policy-name POLICY
    name of the new policy (required)

-U URL, --url URL
    load balancing service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit